import dynamix_sdk.base as _base


class CloudapiSecurityGroupDeleteRuleResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiSecurityGroupDeleteRuleProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete_rule(
        self,
        *,
        security_group_id: int,
        rule_id: int,
    ) -> CloudapiSecurityGroupDeleteRuleResultBool:
        ...
